Bug 206084 - 404 page not always shown
404 page not always shown
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
Depends On:
Blocks: 145467
  Show dependency treegraph
Reported: 2006-09-11 17:03 EDT by Ken Ganong
Modified: 2009-03-24 16:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-24 16:32:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-09-11 17:03:15 EDT
Current rules for who handles 404 pages:
if the url path starts with /rhn then java handles it
else if it does not end with .do then perl handles it

So what happens if the url path does not start with rhn, but does end with .do,
nobody handles it! (you get a blank page)

Expected: You get a 404 error page from perl.
Comment 1 Ken Ganong 2006-12-15 15:47:06 EST
Reassigning a bunch of my bugs to mmccune so they aren't forgotten.
Comment 2 Amanda Carter 2009-03-24 16:32:14 EDT
This bug has been closed due to inactivity.  Please open a new bug with
specific details if this problem is still occurring or if an enhancement is

Note You need to log in before you can comment on or make changes to this bug.